Loading...
Searching...
No Matches
gx_engine::paradesc Struct Reference

`#include <gx_internal_plugins.h>`

Inheritance diagram for gx_engine::paradesc:

## Public Member Functions

| paradesc ()
| ~paradesc ()
void | set_valuelist (const std::vector< std::string > &v)
void | readJSON (gx_system::JsonParser &jp)
void | writeJSON (gx_system::JsonWriter &jw)

## Public Attributes

int | index
std::string | name
float | dflt
float | low
float | up
float | step
widget_type | tp
bool | newrow
bool | has_caption
value_pair * | values

## Detailed Description

Definition at line 709 of file gx_internal_plugins.h.

## Constructor & Destructor Documentation

## paradesc()

gx_engine::paradesc::paradesc | ( |  | ) |

inline

Definition at line 720 of file gx_internal_plugins.h.

## ~paradesc()

gx_engine::paradesc::~paradesc | ( |  | ) |

## Member Function Documentation

## readJSON()

void gx_engine::paradesc::readJSON | ( | gx_system::JsonParser & | jp | ) |

## set_valuelist()

void gx_engine::paradesc::set_valuelist | ( | const std::vector< std::string > & | v | ) |

## writeJSON()

void gx_engine::paradesc::writeJSON | ( | gx_system::JsonWriter & | jw | ) |

## Member Data Documentation

## dflt

float gx_engine::paradesc::dflt

Definition at line 712 of file gx_internal_plugins.h.

Referenced by paradesc().

## has_caption

bool gx_engine::paradesc::has_caption

Definition at line 718 of file gx_internal_plugins.h.

Referenced by paradesc().

## index

int gx_engine::paradesc::index

Definition at line 710 of file gx_internal_plugins.h.

Referenced by paradesc().

## low

float gx_engine::paradesc::low

Definition at line 713 of file gx_internal_plugins.h.

Referenced by paradesc().

## name

std::string gx_engine::paradesc::name

Definition at line 711 of file gx_internal_plugins.h.

Referenced by paradesc().

## newrow

bool gx_engine::paradesc::newrow

Definition at line 717 of file gx_internal_plugins.h.

Referenced by paradesc().

## step

float gx_engine::paradesc::step

Definition at line 715 of file gx_internal_plugins.h.

Referenced by paradesc().

## tp

widget_type gx_engine::paradesc::tp

Definition at line 716 of file gx_internal_plugins.h.

Referenced by paradesc().

## up

float gx_engine::paradesc::up

Definition at line 714 of file gx_internal_plugins.h.

Referenced by paradesc().

## values

value_pair* gx_engine::paradesc::values

Definition at line 719 of file gx_internal_plugins.h.

Referenced by paradesc().

The documentation for this struct was generated from the following file:

- src/headers/gx_internal_plugins.h